# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=crystal-wallpapers
_pkgname=wallpapers
pkgver=1.0.5
pkgrel=2
pkgdesc='Crystal Linux Wallpapers'
arch=('any')
url="https://gitlab.com/crystal-linux/misc/${_pkgname}"
license=('GPL-3.0-only')
source=("${url}/-/archive/v${pkgver}/${_pkgname}-v${pkgver}.tar.gz")
sha256sums=('4cbcca6ffd2cee6b825fa1852850af859c56f210a698c353c70e56782e84f97e')

package() {
    cd "${_pkgname}-v${pkgver}"
    install -d "${pkgdir}/usr/share/backgrounds/crystal/"
    install -Dm 644 *.png "${pkgdir}/usr/share/backgrounds/crystal/"
    install -Dm 644 *.svg "${pkgdir}/usr/share/backgrounds/crystal/"
    install -Dm 644 crystal-backgrounds.xml "${pkgdir}/usr/share/gnome-background-properties/crystal-backgrounds.xml"
}
